<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-75">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom mb-3"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3">
            {{ tilePage }}
          </span>
        </div>
        <div
          class="d-flex flex-column h-max-300 scrollable ml-3 mr-3 mb-3 p-3 border"
          ref="scrollable"
          v-if="evaluations.length"
        >
          <div
            class="d-flex flex-column font-small border"
            style="position:realtive"
            v-for="(evaluation, index) of evaluations"
            :key="evaluation.id"
            v-bind:class="{ 'mb-3': index < evaluations.length - 1 }"
          >
            <card-evaluation :evaluation="evaluation" perfil="avaliando" />
          </div>
        </div>
        <div class="d-flex ml-3 mr-2 mb-3 h-max-300 scrollable" v-else>
          <div class="d-flex w-100 pt-3 pb-3 border">
            <div
              class="d-flex align-items-center justify-content-center col-12 font-small"
            >
              <plusIcon class="icon-x-small-squad icon--brown mb-1" />
              <label class="text--gray text-small m-0 ml-2"
                >Nenhum resultado encontrado</label
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </v-layout>
</template>
<script>
/*  ======================
 *   Lista de Avaliações
 *  ======================
 */
import VLayout from "@/layouts/Default";
import plusIcon from "@/static/icon/plus.svg";
import getEvaluations from "@/mocks/avaliacoes";
import CardEvaluation from "@/components/CardEvaluation";

export default {
  name: "login",
  data() {
    return {
      evaluations: [],
      tilePage: "Avaliações"
    };
  },
  methods: {
    configureTitlePage(to) {
      const self = this;
      if (to.name === "evaluations-list-me") {
        self.tilePage = "Minhas Avaliações";
      } else {
        self.tilePage = "Avaliações";
      }
    }
  },
  updated() {
    const self = this;
    self.$refs.scrollable.scrollTop += self.$refs.scrollable.scrollHeight;
  },
  beforeMount() {
    const self = this;
    self.configureTitlePage(self.$route);
    self.evaluations = getEvaluations();
  },
  beforeRouteLeave(to, from, next) {
    const self = this;
    self.configureTitlePage(to);
    next();
  },
  components: {
    VLayout,
    plusIcon,
    CardEvaluation
  }
};
</script>
